> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lygosapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gateway



## OpenAPI

````yaml api-reference/openapi.json get /v1/api/marketplace/gateway/{gateway_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.lygosapp.com
    description: Production Server
security: []
paths:
  /v1/api/marketplace/gateway/{gateway_id}:
    get:
      tags:
        - Marketplace
      summary: Get Gateway
      operationId: get_gateway_api_v1_api_marketplace_gateway__gateway_id__get
      parameters:
        - name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Gateway Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketPlaceGatewayGetSchemas'
        '404':
          description: Gateway key not found
          content:
            application/json:
              examples:
                Gateway key not found:
                  summary: Gateway key not found.
                  value:
                    detail:
                      message: Gateway key not found.
                      type: GATEWAY_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarketPlaceGatewayGetSchemas:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        amount:
          type: integer
          title: Amount
        currency:
          type: string
          title: Currency
        country:
          type: string
          title: Country
        fee:
          type: number
          title: Fee
        shop_name:
          type: string
          title: Shop Name
        phone_number:
          type: string
          title: Phone Number
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        marketplace_id:
          type: string
          format: uuid
          title: Marketplace Id
        favicon:
          anyOf:
            - type: string
            - type: 'null'
          title: Favicon
          default: ''
        link:
          type: string
          title: Link
        form_blocks:
          anyOf:
            - items:
                $ref: '#/components/schemas/MarketFormBlock'
              type: array
            - type: 'null'
          title: Form Blocks
          default: []
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        marketplace_logo:
          type: string
          title: Marketplace Logo
        marketplace_favicon:
          anyOf:
            - type: string
            - type: 'null'
          title: Marketplace Favicon
        marketplace_color:
          type: string
          title: Marketplace Color
      type: object
      required:
        - id
        - amount
        - currency
        - country
        - fee
        - shop_name
        - phone_number
        - marketplace_id
        - link
        - creation_date
        - marketplace_logo
        - marketplace_color
      title: MarketPlaceGatewayGetSchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MarketFormBlock:
      properties:
        fieldName:
          type: string
          title: Fieldname
        fieldType:
          type: string
          title: Fieldtype
        fieldLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Fieldlabel
        fieldDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Fielddescription
        fieldOptions:
          anyOf:
            - items:
                $ref: '#/components/schemas/MarketPlaceFormOption'
              type: array
            - type: 'null'
          title: Fieldoptions
        required:
          type: boolean
          title: Required
      type: object
      required:
        - fieldName
        - fieldType
        - required
      title: MarketFormBlock
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MarketPlaceFormOption:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
      type: object
      required:
        - name
        - value
      title: MarketPlaceFormOption

````